Summary:	Dropbox extension for Nautilus
Name:		nautilus-dropbox
Version: 	1.4.0
Release: 	%mkrel 1
Source0: 	http://linux.dropbox.com/packages/%name-%version.tar.bz2
License: 	GPLv2+ and CC-BY-ND
Group: 		Graphical desktop/GNOME
Url: 		http://dropbox.com/
BuildRequires: 	nautilus-devel libnotify-devel pygtk2.0-devel python-docutils
Requires:	nautilus wget libnotify
Suggests:	python-gpgme

%description 
Dropbox extension for Nautilus.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%{makeinstall_std}

rm -f %buildroot%_libdir/nautilus/extensions-3.0/*.la
rm -f %buildroot%_iconsdir/hicolor/*/*/*.icon

# (dams)
# conflict with libz dowloaded by the package and with libz installed on system
# need to remove the one installed by the package to have GUI working
cat > README.urpmi << EOF

-------------------------- Description -------------------------------

This package allows you to configure your computer to make a
synchronization between your Dropbox account and the directory
of your choice. A GUI is proposed and a deamon will be launched.

This package only contains the tool to download the Dropbox program!
Dropbox programm will be updated by itself!

---------------------------- Warning ---------------------------------

To start the daemon:
- $ dropbox start -i

As there is a conflict between 'libz' downloaded by dropbox and 'libz'
installed on the system:

- $ dropbox stop

- rm -f ~/.dropbox-dist/libz.so.1

- $ dropbox start

For more help:

- $ dropbox help

In case you would encounter a problem again, check that an update did
not download again 'libz.so.1' in '~/.dropbox-dist/'.
EOF

%files
%doc README.urpmi
%_datadir/nautilus-dropbox
%_libdir/nautilus/extensions-3.0/libnautilus-dropbox.so
%_iconsdir/hicolor/*/*/*
%_bindir/*
%_datadir/applications/*
%_mandir/man1/dropbox*


%changelog

* Wed May 02 2012 dams <dams> 1.4.0-1.mga2
+ Revision: 234482
- new version 1.4.0

* Tue Feb 28 2012 dams <dams> 0.7.1-1.mga2.nonfree
+ Revision: 215894
- new version 0.7.1
- clean spec file
- add 'python-gpgme' as a suggest
- add a README file to explain how to use the daemon

* Tue Jul 19 2011 ofaurax <ofaurax> 0.6.8-1.mga2.nonfree
+ Revision: 126800
- nautilus 3.0 in cauldron
- version 0.6.8

* Fri Apr 08 2011 dams <dams> 0.6.7-1.mga1
+ Revision: 82193
- Clean specfile as license images changed since 0.6.3 and update to 0.6.7
- imported package nautilus-dropbox


* Tue Sep 29 2009 Juan Luis Baptiste <juancho@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 450990
- Added python-docutils to buildRequires.
- Added pygtk2.0-devel to buidRequires to fix compilation on x86_64.
- Updated to 0.6.1

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-3mdv2010.0
+ Revision: 440237
- rebuild

* Sun Jan 25 2009 Funda Wang <fundawang@mandriva.org> 0.5.0-2mdv2009.1
+ Revision: 333526
- fix group and url
- refresh icons with free ones

* Sun Jan 25 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 333507
- import nautilus-dropbox


